# Interface methods for submodule: BinaryThresholdImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: BinaryThresholdImageFilter
class BinaryThresholdImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> float:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> int:
		""""""
		...

	@overload
	def SetInsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetInsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetInsideValue(self) -> float:
		""""""
		...

	@overload
	def GetInsideValue(self) -> int:
		""""""
		...

	@overload
	def SetUpperThreshold(self, threshold: float) -> None:
		""""""
		...

	@overload
	def SetUpperThreshold(self, threshold: int) -> None:
		""""""
		...

	def SetUpperThresholdInput(self, arg0) -> None:
		""""""
		...

	@overload
	def SetLowerThreshold(self, threshold: float) -> None:
		""""""
		...

	@overload
	def SetLowerThreshold(self, threshold: int) -> None:
		""""""
		...

	def SetLowerThresholdInput(self, arg0) -> None:
		""""""
		...

	@overload
	def GetUpperThreshold(self) -> float:
		""""""
		...

	@overload
	def GetUpperThreshold(self) -> int:
		""""""
		...

	def GetUpperThresholdInput(self):
		""""""
		...

	@overload
	def GetLowerThreshold(self) -> float:
		""""""
		...

	@overload
	def GetLowerThreshold(self) -> int:
		""""""
		...

	def GetLowerThresholdInput(self):
		""""""
		...

